// @ts-check
const { log, errors } = require('cozy-konnector-libs')

/**
 * @param {number} pointId
 * @param {string} name
 * @param {string} address
 * @param {string} postalCode
 * @param {string} inseeCode
 * @returns {Consent}
 */
function createBoConsent(pointId, name, address, postalCode, inseeCode) {
  //TODO: Implement
  log('info', `Query createBoConsent`)
  return {
    pointId,
    name,
    address,
    postalCode,
    inseeCode,
  }
}

/**
 * @param {Consent} consent
 * @param {number} serviceId
 * @returns {Consent}
 */
function updateBoConsent(consent, serviceId) {
  //TODO: Implement
  log('info', `Query updateBoConsent`)
  return {
    ...consent,
    serviceId: serviceId,
  }
}

/**
 * @param {number} boId
 * @returns {Consent}
 */
function getBoConsent(boId) {
  //TODO: Implement
  log('info', `Query getBoConsent`)
  return {
    pointId: 1234,
    name: 'SUBTIL',
    address: 'mad',
    postalCode: '69007',
    inseeCode: '69383',
    serviceId: 1234,
  }
  // throw errors.VENDOR_DOWN
}
/**
 *
 */
function deleteBoConsent() {
  //TODO: deleteBoConsent
  log('info', `Query deleteBoConsent`)
  throw new Error('Function not implemented.')
}

module.exports = {
  createBoConsent,
  updateBoConsent,
  getBoConsent,
  deleteBoConsent,
}
